Statically linked Linux-version

Programmers discuss here anything related to FreeOrion programming. Primarily for the developers to discuss.

Moderator: Committer

Message
Author
User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Statically linked Linux-version

#76 Post by kroddn » Mon Jul 14, 2008 2:22 pm

Please note what I wrote in another thread:
viewtopic.php?f=9&t=2315

Ehol
Space Krill
Posts: 1
Joined: Tue Jul 29, 2008 12:26 pm

Re: Statically linked Linux-version

#77 Post by Ehol » Tue Jul 29, 2008 12:32 pm

Hi, Just dropping a line to inform you that the latest release (revision 2642) is working ok on Gentoo using kernel 2.6.24, mesa 7-03 and Xorg 7.3.
Untarred in /home/myuser/games

Keep Up The Good Work !
Regards
Ehol

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Statically linked Linux-version

#78 Post by kroddn » Mon Jan 26, 2009 3:07 pm

Statically linked releases up to rev2770 include a bug: they will NOT run on kernels smaller then 2.6.22.

This bug is fixed in newer statically linked revisions, starting from rev2771.

Have a look at:
http://www.freeorion.org/index.php/Comp ... nux#Kernel

My webspace has moved and is now located at:
http://freeorion.psitronic.de/

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Statically linked Linux-version

#79 Post by kroddn » Mon Mar 16, 2009 6:19 pm

I just managed to package a version that should run many actual linux distributions.

http://freeorion.psitronic.de/download/ ... 386.tar.gz

This version was compiled on debian 5.0 (lenny).

For compatibility reasons, many shared libs are shipped with this package. If anybody thinks that some copyrights or license could be hurt, please report instantly to me!

You MUST run this version using the wrapper-script "freeorion", do NOT execute the binary inside the directory application. This will not work in almost every case.

Please test and report bugs :-)

/Edit: positive tested on:
  • Debian Lenny
    with GeForce 7600GS using proprietary Nvidia driver 180.29
  • Debian Lenny (2.6.26-1-amd64)
    with GeForce 9800GT using proprietary Nvidia driver 180.44 x86_64
  • Debian testing Linux nathan 2.6.27.4 #6 SMP PREEMPT Sun Nov 9 08:57:10 CET 2008 i686 GNU/Linux
    with GeForce 8700M GT using proprietary Nvidia driver 177.80
  • Debian Etch Linux version 2.6.25.7
    with nvidia G70 [GeForce 7600 GS] using proprietary Nvidia driver 180.29 x86_64
  • Ubuntu 8.10
    with nvidia G71 [GeForce 7900 GS] using proprietary Nvidia driver
  • Ubuntu 9.04
    with ATI Radeon Mobility X600 using ATI open source drivers
  • Debian Sid (2.6.26-1; arch amd64)
    with NVidia GeForce 7200SE using proprietary Nvidia driver 180.29 / x86_64

User avatar
The Silent One
Graphics
Posts: 712
Joined: Tue Jul 01, 2003 8:27 pm

Re: Statically linked Linux-version

#80 Post by The Silent One » Thu Mar 19, 2009 8:34 pm

Works on Ubuntu 9.04 with ATI open source drivers. Thanks!




/Edit kroddn: further discussions on ATI cards / openGL post there:
viewtopic.php?f=9&t=2527
If I provided any images, code, scripts or other content here, it's released under GPL 2.0 and CC-BY-SA 3.0.

User avatar
tzlaine
Programming Lead Emeritus
Posts: 1092
Joined: Thu Jun 26, 2003 1:33 pm

Re: Statically linked Linux-version

#81 Post by tzlaine » Fri Mar 20, 2009 4:01 pm

kroddn wrote:I just managed to package a version that should run many actual linux distributions.
Should this go up on the SF.net downloads page?

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Statically linked Linux-version

#82 Post by kroddn » Fri Mar 20, 2009 5:38 pm

It's already up there (since march 17th).

Arkham
Space Krill
Posts: 2
Joined: Sun Apr 12, 2009 10:03 am

Re: Statically linked Linux-version

#83 Post by Arkham » Sun Apr 12, 2009 10:16 am

Hello, I am maintaining the freeorion package inside the users repository of Archlinux; I run into this error when I try to run freeorion:

Code: Select all

arkham ~/builds/freeorion/freeorion $  ./freeorion
Following into my basedir
CWD: /home/arkham/builds/freeorion/freeorion/application
	libpython2.5.so.1.0 => not found
python2.5 missing. Using shipped version.
PYTHONHOME=python2.5
./freeorion: error while loading shared libraries: libtiff.so.4: cannot open shared object file: No such file or directory
The problem can be solved by symlinking the library to libtiff.so, but this practice is kinda ugly; I was wondering if you could help me :)

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Statically linked Linux-version

#84 Post by kroddn » Tue Apr 14, 2009 8:59 am

The next release I will deliver a libtiff.so with the package. Could you try this package here:
http://freeorion.psitronic.de/download/ ... tic.tar.gz

Different GiGi libs need libtiff - maybe this dependency can be turned of if tiff is not used?

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12268
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: Statically linked Linux-version

#85 Post by Geoff the Medio » Tue Apr 14, 2009 10:28 am

kroddn wrote:Different GiGi libs need libtiff - maybe this dependency can be turned of if tiff is not used?
For Windows, I had to make a Config.h file containing, in part:

Code: Select all

#ifndef _GG_Config_h_
#define _GG_Config_h_

#define GG_USE_DEVIL_IMAGE_LOAD_LIBRARY 0
#define GG_HAVE_LIBJPEG 0
#define GG_HAVE_LIBPNG 1
#define GG_HAVE_LIBTIFF 0

#endif // _GG_Config_h_
Which I assume removes any tiff dependency. Presumably it should be similar on Linux.

Arkham
Space Krill
Posts: 2
Joined: Sun Apr 12, 2009 10:03 am

Re: Statically linked Linux-version

#86 Post by Arkham » Wed Apr 15, 2009 1:32 am

kroddn wrote:The next release I will deliver a libtiff.so with the package. Could you try this package here:
http://freeorion.psitronic.de/download/ ... tic.tar.gz

Different GiGi libs need libtiff - maybe this dependency can be turned of if tiff is not used?
This works perfectly :)

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Statically linked Linux-version

#87 Post by kroddn » Tue May 26, 2009 8:04 pm

Release V0.3.13 positive feedbacks:
  • Vector Linux 6.0 (Slackware 12.2-based), 32-bit, nVidia 8600GT with 185.25 drivers.

User avatar
PhoneixS
Space Krill
Posts: 1
Joined: Tue Sep 29, 2009 7:37 pm

Re: Statically linked Linux-version

#88 Post by PhoneixS » Tue Sep 29, 2009 7:40 pm

I think you must change the readme. Where it say

Code: Select all

1. Install
============
- Download the latest archiv by
   executing the following commands in a console / command-line prompt:
     cd /tmp
     wget http://psitronic.de/div/FO/latest.tar.gz
   or downloading it with your browser and put it into /tmp

Code: Select all

...
     wget http://freeorion.psitronic.de/download/latest.tar.gz
...
.

Thanks you for compile the game.

nickholden
Space Krill
Posts: 5
Joined: Sun Nov 15, 2009 8:32 pm

Re: Statically linked Linux-version

#89 Post by nickholden » Sun Nov 15, 2009 8:40 pm

Downloaded and installed the 'latest' linux version. Get this when I run it...

linux-en94:/usr/local/games # freeorion-start
I am Symlink. Following into my targets basedir
CWD: /usr/local/games/freeorion/application
libpython2.5.so.1.0 => not found
python2.5 missing. Using shipped version.
PYTHONHOME=python2.5
No protocol specified
main() caught exception(std::exception): OGRE EXCEPTION(3:RenderingAPIException): Couldn`t open X display :0.0 in GLXGLSupport::getGLDisplay at OgreGLXGLSupport.cpp (line 781)
/usr/local/bin/freeorion-start: line 61: 31178 Segmentation fault ${STRACE} ./freeorion --settings-dir ./default $@

Any suggestions?

Thanks

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12268
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: Statically linked Linux-version

#90 Post by Geoff the Medio » Sun Nov 15, 2009 8:58 pm

Looks quite similar to the issue posted here: viewtopic.php?p=36363#p36363

Grabbing various bits that kroddn posted...

Can you execute "glxinfo" in a command line? If yes, please upload the result of its output here.

Which graphic card do you have? (There are known problems with ATI cards.)

Does an earlier release of FreeOrion run, like v0.3.11? See here:
https://sourceforge.net/project/showfil ... _id=111134

Post Reply